CVE-2022-1271

An arbitrary file write vulnerability was found in GNU gzip's zgrep utility. When zgrep is applied on the attacker's chosen file name (for example, a crafted file name), this can overwrite an attacker's content to an arbitrary attacker-selected file. This flaw occurs due to insufficient validation when processing filenames with two or more newlines where selected content and the target file names are embedded in crafted multi-line file names. This flaw allows a remote, low privileged attacker to force zgrep to write arbitrary files on the system.
Configurations

Configuration 1 (hide)

cpe:2.3:a:gnu:gzip:*:*:*:*:*:*:*:*

Configuration 2 (hide)

cpe:2.3:a:redhat:jboss_data_grid:7.0.0:*:*:*:*:*:*:*

Configuration 3 (hide)

cpe:2.3:o:debian:debian_linux:10.0:*:*:*:*:*:*:*

History

07 Oct 2022, 14:14

Type Values Removed Values Added
References (CONFIRM) https://security.netapp.com/advisory/ntap-20220930-0006/ - (CONFIRM) https://security.netapp.com/advisory/ntap-20220930-0006/ - Third Party Advisory

30 Sep 2022, 16:15

Type Values Removed Values Added
References
  • (CONFIRM) https://security.netapp.com/advisory/ntap-20220930-0006/ -

07 Sep 2022, 16:42

Type Values Removed Values Added
CWE CWE-20
References (MISC) https://security-tracker.debian.org/tracker/CVE-2022-1271 - (MISC) https://security-tracker.debian.org/tracker/CVE-2022-1271 - Third Party Advisory
References (MISC) https://tukaani.org/xz/xzgrep-ZDI-CAN-16587.patch - (MISC) https://tukaani.org/xz/xzgrep-ZDI-CAN-16587.patch - Patch, Third Party Advisory
References (MISC) https://bugzilla.redhat.com/show_bug.cgi?id=2073310 - (MISC) https://bugzilla.redhat.com/show_bug.cgi?id=2073310 - Issue Tracking, Third Party Advisory
References (MISC) https://www.openwall.com/lists/oss-security/2022/04/07/8 - (MISC) https://www.openwall.com/lists/oss-security/2022/04/07/8 - Mailing List, Patch, Third Party Advisory
References (MISC) https://access.redhat.com/security/cve/CVE-2022-1271 - (MISC) https://access.redhat.com/security/cve/CVE-2022-1271 - Third Party Advisory
References (MISC) https://git.tukaani.org/?p=xz.git;a=commit;h=69d1b3fc29677af8ade8dc15dba83f0589cb63d6 - (MISC) https://git.tukaani.org/?p=xz.git;a=commit;h=69d1b3fc29677af8ade8dc15dba83f0589cb63d6 - Mailing List, Patch, Third Party Advisory
References (MISC) https://lists.gnu.org/r/bug-gzip/2022-04/msg00011.html - (MISC) https://lists.gnu.org/r/bug-gzip/2022-04/msg00011.html - Mailing List, Patch, Vendor Advisory
References (GENTOO) https://security.gentoo.org/glsa/202209-01 - (GENTOO) https://security.gentoo.org/glsa/202209-01 - Third Party Advisory
First Time Debian debian Linux
Redhat jboss Data Grid
Gnu gzip
Redhat
Gnu
Debian
CPE cpe:2.3:a:gnu:gzip:*:*:*:*:*:*:*:*
cpe:2.3:a:redhat:jboss_data_grid:7.0.0:*:*:*:*:*:*:*
cpe:2.3:o:debian:debian_linux:10.0:*:*:*:*:*:*:*
CVSS v2 : unknown
v3 : unknown
v2 : unknown
v3 : 8.8

07 Sep 2022, 05:15

Type Values Removed Values Added
References
  • (GENTOO) https://security.gentoo.org/glsa/202209-01 -

31 Aug 2022, 16:53

Type Values Removed Values Added
New CVE

Information

Published : 2022-08-31 16:15

Updated : 2022-10-07 14:14


NVD link : CVE-2022-1271

Mitre link : CVE-2022-1271


JSON object : View

Products Affected

gnu

  • gzip

debian

  • debian_linux

redhat

  • jboss_data_grid
CWE
CWE-20

Improper Input Validation